#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 hslua-packaging
version:              2.3.1
visibility:           public
id:                   hslua-packaging-2.3.1-EwdqT0aCBs12TraFwqhqks
key:                  hslua-packaging-2.3.1-EwdqT0aCBs12TraFwqhqks
license:              MIT
copyright:            © 2019-2024 Albert Krewinkel
maintainer:           tarleb@hslua.org
author:               Albert Krewinkel
homepage:             https://hslua.org/
synopsis:             Utilities to build Lua modules.
description:
    Utilities to package up Haskell functions and
    values into a Lua module.

    This package is part of HsLua, a Haskell framework
    built around the embeddable scripting language
    <https://lua.org Lua>.

category:             Foreign
abi:                  b908baf594193d87bcd89e674b493130
exposed:              True
exposed-modules:
    HsLua.Packaging HsLua.Packaging.Convenience
    HsLua.Packaging.Documentation HsLua.Packaging.Function
    HsLua.Packaging.Module HsLua.Packaging.Rendering
    HsLua.Packaging.Types HsLua.Packaging.UDType

import-dirs:          /usr/lib/ghc-9.8.2/site-local/hslua-packaging-2.3.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/hslua-packaging-2.3.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/hslua-packaging-2.3.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/hslua-packaging-2.3.1
hs-libraries:         HShslua-packaging-2.3.1-EwdqT0aCBs12TraFwqhqks
depends:
    base-4.19.1.0-inplace containers-0.6.8-inplace
    hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9
    hslua-marshalling-2.3.1-1G7DMrojWC0EUgaqk0l0tX
    hslua-objectorientation-2.3.1-82S3gS7EEXpGNV418AWbbb
    hslua-typing-0.1.1-4SX1b7jz1hk4JyqEAAyJd3 mtl-2.3.1-inplace
    text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/hslua-packaging-2.3.1/html/hslua-packaging.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/hslua-packaging-2.3.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

